---
title: force-restart-a-project-daemon-instance
product: vercel
url: /docs/rest-api/sdk/daemons/force-restart-a-project-daemon-instance
canonical_url: "https://vercel.com/docs/rest-api/sdk/daemons/force-restart-a-project-daemon-instance"
last_updated: 2026-11-10
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about force-restart-a-project-daemon-instance on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Force restart a project daemon instance

```http
POST /v1/projects/{idOrName}/daemons/{daemonName}/instances/{instanceId}/restart
```

Force restart a running production daemon instance. The new container starts asynchronously after the restart is accepted.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `idOrName` | string | Yes | The unique project identifier or the project name |
| `daemonName` | string. pattern: `^[a-zA-Z0-9_-]+$` | Yes | The name of the daemon that owns the instance |
| `instanceId` | string. pattern: `^dmni_[0-9a-hjkmnp-tv-z]{26}$` | Yes | The ID of the daemon instance to restart |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.daemons.restartProjectDaemonInstance({
    idOrName: "<value>",
    daemonName: "<value>",
    instanceId: "<id>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
```

## Example response

```json
{
  "ok": "false"
}
```

## Responses

### 202: The restart was accepted. The new user container starts asynchronously.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "ok"
  ],
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.
The OIDC token is not a production token for this project.

### 404: The daemon has no running production instance with this ID.

### 409: The instance is still starting and cannot be restarted yet.

### 410: No description

### 500: The instance controller did not accept the restart.

---

## Related

- [daemons endpoints](/docs/rest-api#daemons)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)


If you encounter incorrect information, can’t find what you need, need a capability Vercel doesn’t currently offer, or have any other feedback to report, please do it by following the instructions at https://vercel.com/feedback.md.
